import { Context, Schema, Service } from 'koishi';
import { Client } from './telemetry/client';
export declare const name = "lovemilk-telemetry";
export declare const inject: string[];
export interface Config {
    telemetryReconnectInterval: number;
    telemetryUseTimeoutMoreThan: number;
    telemetryMaxTry: number;
    telemetryCoolDown: number;
    axiosConfig: boolean;
    axiosTimeout: number;
}
export declare const Config: Schema<Config>;
export declare function apply(ctx: Context, config: Config): void;
export declare class LovemilkTelemetry extends Service {
    private clients;
    constructor(ctx: Context, config: Config);
    private wavehand;
    protected stop(): Promise<void>;
    createClient(pluginCtx: Context, pluginConfig: any, enpoint: string | URL): Client;
}
declare module 'koishi' {
    interface Context {
        lovemilkTelemetry: LovemilkTelemetry;
    }
}
export * from './telemetry/client';
export * from './telemetry/types';
